import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * Ristinolla / main-luokka, applet-versio
 *
 * @author Samuli Kaipiainen
 * @version 1.0
 */

public class Ristinollaa extends JApplet
{
	// ruudukko ja menu
	private Ruudukko ruudukko;
	private JMenuBar menu;

	/**
	 * Alustaa ristinolla-appletin, lis applettiin ruudukon ja menun
	 */
	public void init()
	{
		// luodaan ruudukko ja menu
		this.ruudukko = new Ruudukko(50, 32, 12);
		this.menu = new Menu(this.ruudukko);

		// listn applettiin ruudukko ja menut
		this.getContentPane().add(this.ruudukko);
		this.setJMenuBar(this.menu);

		// nppinksittelij toimimaan
		this.ruudukko.requestFocusInWindow();

		// hankitaan focus mys hiirenklikkauksella
		this.ruudukko.addMouseListener(new MouseAdapter()
		{
			public void mouseClicked(MouseEvent e)
			{
				ruudukko.requestFocusInWindow();
			}
		});
	}

	/**
	 * Aloittaa ristinollan, laittaa siis pelin kyntiin
	 */
	public void start()
	{
		this.ruudukko.kynnist();
	}
}
